XmlMarkovModel (BioJava-1.5-beta API)
Keywords: org.biojava.bio.dp.XmlMarkovModel class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.dp
Class XmlMarkovModel

    java.lang.Object
      org.biojava.bio.dp.XmlMarkovModel

    public class XmlMarkovModel

extends Object

Author:
  Matthew Pocock, Thomas Down, Samiul Hasan

Constructor Summary
`XmlMarkovModel()`

Method Summary
`static WeightMatrix` | `readMatrix(Element root)`
`static MarkovModel` | `readModel(Element root)`
`static void` | `writeMatrix(WeightMatrix matrix, PrintStream out)`
`static void` | `writeModel(MarkovModel model, PrintStream out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlMarkovModel

    public XmlMarkovModel()

Method Detail

### readMatrix

    public static WeightMatrix readMatrix(Element root)
                                   throws IllegalSymbolException,
                                          IllegalAlphabetException,
                                          BioException

  Throws:
    `IllegalSymbolException`
    `IllegalAlphabetException`
    `BioException`

### readModel

    public static MarkovModel readModel(Element root)
                                 throws BioException,
                                        IllegalSymbolException,
                                        IllegalAlphabetException

  Throws:
    `BioException`
    `IllegalSymbolException`
    `IllegalAlphabetException`

### writeMatrix

    public static void writeMatrix(WeightMatrix matrix,
                                   PrintStream out)
                            throws Exception

  Throws:
    `Exception`

### writeModel

    public static void writeModel(MarkovModel model,
                                  PrintStream out)
                           throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD